'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path, _path2, _g, _path3, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgBosniaAndHerzegovinaCircled = function SvgBosniaAndHerzegovinaCircled(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 48 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React__namespace.createElement("mask", {
    id: "BosniaAndHerzegovinaCircled_svg__a",
    width: 46,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    d: "M1 24C1 11.298 11.298 1 24 1s23 10.298 23 23-10.297 23-23 23S1 36.703 1 24"
  }))), /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#BosniaAndHerzegovinaCircled_svg__b)",
    mask: "url(#BosniaAndHerzegovinaCircled_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("mask", {
    id: "BosniaAndHerzegovinaCircled_svg__c",
    width: 46,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "luminance"
    }
  }, _path2 || (_path2 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M1 1h46v46H1z"
  }))), _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    mask: "url(#BosniaAndHerzegovinaCircled_svg__c)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#009",
    d: "M1 1h46v46H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FC0",
    d: "M7.918 1 47.18 40.262V1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFFFFE",
    d: "m42.454 43.263-2.345-1.716-2.417 1.707.917-2.804-2.372-1.725h2.938l.916-2.785.898 2.794 2.947.01-2.354 1.742zm6.89.934h-2.937l-.898-2.803-.917 2.794h-2.947l2.372 1.725-.907 2.803 2.407-1.707 2.354 1.707-.88-2.776zm-13.143-9.092 2.354-1.743h-2.938l-.908-2.803-.916 2.785h-2.938l2.372 1.734-.907 2.794 2.407-1.707 2.345 1.716-.871-2.785zm-5.418-5.427 2.354-1.743-2.947-.009-.898-2.803-.917 2.803-2.937-.009 2.371 1.725-.916 2.803 2.417-1.707 2.345 1.716-.872-2.785zm-5.364-5.364 2.354-1.742h-2.937l-.908-2.804-.916 2.794h-2.938l2.372 1.726-.908 2.803 2.408-1.707 2.345 1.707zm-5.426-5.417 2.354-1.734-2.947-.01-.898-2.802-.917 2.803-2.938-.01 2.372 1.726-.916 2.803 2.416-1.707 2.345 1.707-.871-2.767zm-5.364-5.382 2.363-1.734-2.938-.009-.898-2.803-.926 2.794H9.284l2.371 1.725-.907 2.803 2.408-1.707 2.345 1.707zm-5.39-5.39L11.6 6.39l-2.937-.01-.899-2.802-.925 2.794H3.893l2.372 1.725-.908 2.803 2.408-1.707L10.12 10.9zM3.848 2.734 6.211 1 3.264.991l-.898-2.803L1.43.982h-2.938L.874 2.707-.033 5.51l2.408-1.707L4.72 5.51z"
  })))), _path3 || (_path3 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    fillRule: "evenodd",
    d: "M1 24c0 12.703 10.298 23 23 23s23-10.297 23-23S36.703 1 24 1 1 11.298 1 24M24 0C10.745 0 0 10.745 0 24s10.745 24 24 24 24-10.745 24-24S37.255 0 24 0",
    clipRule: "evenodd"
  })), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "BosniaAndHerzegovinaCircled_svg__b"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M1 1h46v46H1z"
  })))));
};

exports.ReactComponent = SvgBosniaAndHerzegovinaCircled;
